<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
* Name:  Ion Auth
*
* Version: 2.5.2
*
* Author: Ben Edmunds
*		  ben.edmunds@gmail.com
*         @benedmunds
*
* Added Awesomeness: Phil Sturgeon
*
* Location: http://github.com/benedmunds/CodeIgniter-Ion-Auth
*
* Created:  10.01.2009
*
* Description:  Modified auth system based on redux_auth with extensive customization.  This is basically what Redux Auth 2 should be.
* Original Author name has been kept but that does not mean that the method has not been modified.
*
* Requirements: PHP5 or above
*
*/

/*
| -------------------------------------------------------------------------
| Tables.
| -------------------------------------------------------------------------
| Database table names.
*/
$config['tables']['users']           				= 'users';
$config['tables']['groups']          				= 'groups';
$config['tables']['auditoria']          			= 'auditor.auditoria';
$config['tables']['users_groups']    				= 'users_groups';
$config['tables']['login_attempts']  				= 'login_attempts';
$config['tables']['geocolonias']     				= 'indert.geocolonia';
$config['tables']['in_temp']    	 				= 'indert.in_temp';
$config['tables']['v_in_temp']    	 				= 'indert.v_in_temp';
$config['tables']['in_parc']    	 				= 'indert.in_parc';
$config['tables']['departamentos']   				= 'indert.dpto';
$config['tables']['vistas']			 				= 'vistas';	
$config['tables']['v_vistas']	     				= 'v_vistas';
$config['tables']['distritos']    	 				= 'indert.distritos';
$config['tables']['colonias']    	 				= 'indert.colonias';
$config['tables']['fincas']							= 'indert.in_fincas_ajust';
$config['tables']['v_colonias']    	 				= 'indert.v_colonias';
$config['tables']['menus']			 				= 'menus';
$config['tables']['v_bb_parcelas']	 				= 'i3geo.v_bb_parcelas';
$config['tables']['in_planopericia1'] 				= 'indert.in_planopericia1';
$config['tables']['in_planopericia2'] 				= 'indert.in_planopericia2';
$config['tables']['v_in_planopericia1'] 			= 'indert.v_in_planopericia1';
$config['tables']['v_in_planopericia1_cnt'] 		= 'indert.v_in_planopericia1_cnt';
$config['tables']['v_in_planopericia2'] 			= 'indert.v_in_planopericia2';




$config['tables']['v_tipovista']	 				= 'public.v_tipovista';
$config['tables']['conceptos']	 	 				= 'conceptos';
$config['tables']['v_modulos']		 				= 'public.v_modulos';
$config['tables']['v_habilitado']	 				= 'public.v_habilitado';
$config['tables']['user_menus_privs'] 				= 'public.user_menus_privs';



$config['tables']['equipos']	 	 				= 'public.equipos';
$config['tables']['menus_jerarquia'] 				= 'v_menus_jerarquia';  
$config['tables']['asignacionlotes'] 				= 'asignacionlotes';  
$config['tables']['monitoreo_verificador']  		= 'v_monitoreo_verificador';  
$config['tables']['monitoreo_supervisor']			= 'v_monitoreo_control';  
$config['tables']['monitoreo']  					= 'monitoreo';  
$config['tables']['v_dpto_distrito_colonia']		= 'vista_dpto_distrito_colonia';  
$config['tables']['panel1A']						= 'public.panel1A';
$config['tables']['v_pericia']						= 'indert.v_pericias2';
$config['tables']['columnas_tabla']					= 'information_schema.columns';
$config['tables']['v_empate_1']						= 'v_empate_1';
$config['tables']['v_empate_2']						= 'v_empate_2';
$config['tables']['v_empate_3']						= 'v_empate_3';

//cuestionarios
$config['tables']['reg01']    	     				= 'reg01';
$config['tables']['reg02']    	     				= 'reg02';
$config['tables']['reg03']    	     				= 'reg03';
$config['tables']['reg04']    	     				= 'reg04';
$config['tables']['reg05']    	     				= 'reg05';
$config['tables']['reg06']    	     				= 'reg06';
$config['tables']['reg07']    	     				= 'reg07';
$config['tables']['reg08']    	     				= 'reg08';
$config['tables']['reg09']    	     				= 'reg09';
$config['tables']['reg10']    	     				= 'reg10';
$config['tables']['reg11']    	     				= 'reg11';
$config['tables']['reg12']    	     				= 'reg12';
$config['tables']['reg_fotos']    	     			= 'reg_fotos';
$config['tables']['reg_errores']    	     		= 'reg_errores';


/*
 | Users table column and Group table column you want to join WITH.
 |
 | Joins from users.id
 | Joins from groups.id
 */
$config['join']['users']  = 'user_id';
$config['join']['groups'] = 'group_id';

/*
 | -------------------------------------------------------------------------
 | Hash Method (sha1 or bcrypt)
 | -------------------------------------------------------------------------
 | Bcrypt is available in PHP 5.3+
 |
 | IMPORTANT: Based on the recommendation by many professionals, it is highly recommended to use
 | bcrypt instead of sha1.
 |
 | NOTE: If you use bcrypt you will need to increase your password column character limit to (80)
 |
 | Below there is "default_rounds" setting.  This defines how strong the encryption will be,
 | but remember the more rounds you set the longer it will take to hash (CPU usage) So adjust
 | this based on your server hardware.
 |
 | If you are using Bcrypt the Admin password field also needs to be changed in order to login as admin:
 | $2y$: $2y$08$200Z6ZZbp3RAEXoaWcMA6uJOFicwNZaqk4oDhqTUiFXFe63MG.Daa
 | $2a$: $2a$08$6TTcWD1CJ8pzDy.2U3mdi.tpl.nYOR1pwYXwblZdyQd9SL16B7Cqa
 |
 | Be careful how high you set max_rounds, I would do your own testing on how long it takes
 | to encrypt with x rounds.
 |
 | salt_prefix: Used for bcrypt. Versions of PHP before 5.3.7 only support "$2a$" as the salt prefix
 | Versions 5.3.7 or greater should use the default of "$2y$".
 */
$config['hash_method']    = 'bcrypt';	// sha1 or bcrypt, bcrypt is STRONGLY recommended
$config['default_rounds'] = 8;		// This does not apply if random_rounds is set to true
$config['random_rounds']  = FALSE;
$config['min_rounds']     = 5;
$config['max_rounds']     = 9;
$config['salt_prefix']    = version_compare(PHP_VERSION, '5.3.7', '<') ? '$2a$' : '$2y$';

/*
 | -------------------------------------------------------------------------
 | Authentication options.
 | -------------------------------------------------------------------------
 | maximum_login_attempts: This maximum is not enforced by the library, but is
 | used by $this->ion_auth->is_max_login_attempts_exceeded().
 | The controller should check this function and act
 | appropriately. If this variable set to 0, there is no maximum.
 */
$config['site_title']                 = "Example.com";       // Site Title, example.com
$config['admin_email']                = "admin@example.com"; // Admin Email, admin@example.com
$config['default_group']              = 'members';           // Default group, use name
$config['admin_group']                = 'admin';             // Default administrators group, use name
$config['identity']                   = 'username'; 		 // You can use any unique column in your table as identity column. The values in this column, alongside password, will be used for login purposes
$config['min_password_length']        = 8;                   // Minimum Required Length of Password
$config['max_password_length']        = 20;                  // Maximum Allowed Length of Password
$config['email_activation']           = FALSE;               // Email Activation for registration
$config['manual_activation']          = FALSE;               // Manual Activation for registration
$config['remember_users']             = TRUE;                // Allow users to be remembered and enable auto-login
$config['user_expire']                = 86500;               // How long to remember the user (seconds). Set to zero for no expiration
$config['user_extend_on_login']       = FALSE;               // Extend the users cookies every time they auto-login
$config['track_login_attempts']       = TRUE;                // Track the number of failed login attempts for each user or ip.
$config['track_login_ip_address']     = TRUE;                // Track login attempts by IP Address, if FALSE will track based on identity. (Default: TRUE)
$config['maximum_login_attempts']     = 3;                   // The maximum number of failed login attempts.
$config['lockout_time']               = 600;                 // The number of seconds to lockout an account due to exceeded attempts
$config['forgot_password_expiration'] = 0;                   // The number of milliseconds after which a forgot password request will expire. If set to 0, forgot password requests will not expire.

/*
 | -------------------------------------------------------------------------
 | Cookie options.
 | -------------------------------------------------------------------------
 | remember_cookie_name Default: remember_code
 | identity_cookie_name Default: identity
 */
$config['remember_cookie_name'] = 'remember_code';
$config['identity_cookie_name'] = 'identity';

/*
 | -------------------------------------------------------------------------
 | Email options.
 | -------------------------------------------------------------------------
 | email_config:
 | 	  'file' = Use the default CI config or use from a config file
 | 	  array  = Manually set your email config settings
 */
$config['use_ci_email'] = FALSE; // Send Email using the builtin CI email class, if false it will return the code and the identity
$config['email_config'] = array(
	'mailtype' => 'html',
);

/*
 | -------------------------------------------------------------------------
 | Email templates.
 | -------------------------------------------------------------------------
 | Folder where email templates are stored.
 | Default: auth/
 */
$config['email_templates'] = 'auth/email/';

/*
 | -------------------------------------------------------------------------
 | Activate Account Email Template
 | -------------------------------------------------------------------------
 | Default: activate.tpl.php
 */
$config['email_activate'] = 'activate.tpl.php';

/*
 | -------------------------------------------------------------------------
 | Forgot Password Email Template
 | -------------------------------------------------------------------------
 | Default: forgot_password.tpl.php
 */
$config['email_forgot_password'] = 'forgot_password.tpl.php';

/*
 | -------------------------------------------------------------------------
 | Forgot Password Complete Email Template
 | -------------------------------------------------------------------------
 | Default: new_password.tpl.php
 */
$config['email_forgot_password_complete'] = 'new_password.tpl.php';

/*
 | -------------------------------------------------------------------------
 | Salt options
 | -------------------------------------------------------------------------
 | salt_length Default: 22
 |
 | store_salt: Should the salt be stored in the database?
 | This will change your password encryption algorithm,
 | default password, 'password', changes to
 | fbaa5e216d163a02ae630ab1a43372635dd374c0 with default salt.
 */
$config['salt_length'] = 22;
$config['store_salt']  = FALSE;

/*
 | -------------------------------------------------------------------------
 | Message Delimiters.
 | -------------------------------------------------------------------------
 */
$config['delimiters_source']       = 'config'; 	// "config" = use the settings defined here, "form_validation" = use the settings defined in CI's form validation library
$config['message_start_delimiter'] = '<p>'; 	// Message start delimiter
$config['message_end_delimiter']   = '</p>'; 	// Message end delimiter
$config['error_start_delimiter']   = '<p>';		// Error message start delimiter
$config['error_end_delimiter']     = '</p>';	// Error message end delimiter

/* End of file ion_auth.php */
/* Location: ./application/config/ion_auth.php */
